<?php

namespace FiloBlu\ExtViSualMerchandiser\Model;

use Magento\Framework\Exception\NoSuchEntityException;

/**
 * Interface StockStatusInterface
 * @package FiloBlu\ExtViSualMerchandiser\Model
 */
interface StockStatusInterface
{

    /**
     * @return int
     */
    public function getId();

    /**
     * @return string
     */
    public function getName();

    /**
     * @param int $id
     * @return StockStatusInterface
     */
    public function setId($id);

    /**
     * @param string $name
     * @return StockStatusInterface
     */
    public function setName($name);

    /**
     * @param $sku
     * @return mixed
     * @throws NoSuchEntityException
     */
    public function isInStock($sku);

    /**
     * @param string $sku
     * @param boolean $status
     * @return StockStatusInterface
     */
    public function setIsInStock($sku, $status);
}
